import 'package:flutter/material.dart';
import 'package:glossy/glossy.dart';

class GlossyContainerWidget extends StatelessWidget {
  final double height;
  final Widget child;
  const GlossyContainerWidget({super.key, required this.height, required this.child});

  @override
  Widget build(BuildContext context) {
    return GlossyContainer(
        height: MediaQuery.of(context).size.height * height,
        width: MediaQuery.of(context).size.width,
        borderRadius: const BorderRadius.all(Radius.circular(16)),
        color: const Color.fromRGBO(20, 13, 22, 1),
        border: Border.all(width: 0, color: const Color.fromRGBO(169, 132, 172, 1)),
        child: Padding(
          padding: const EdgeInsets.fromLTRB(32, 32, 32, 40),
          child: child,
        ));
  }
}
